import React, { useEffect, useState} from 'react';

import { Link } from "react-router-dom";

import _service from '@netuno/service-client';

import { Button, notification } from 'antd';

import { CheckCircleOutlined } from '@ant-design/icons';

import "./index.less";

export default ({ communityUid })=> {
    const [publications, setPublications] = useState(null);
    useEffect(() => {
        _service({
            url: "api/publications",
            data: { communityUid },
            success: (response) => {
                setPublications(response.json);
            },
            fail: (e) => {
                console.log("Service Error", e);
                notification["error"]({
                    message: 'Publicações',
                    description: 'Não foi possível carregar as publicações.',
                });
            }
        });
    }, []);
    return (
        <div>
            <h1>Publicações</h1>
            {
                publications && publications.map(
                    ({ name, message, moment, city, community }) => {
                        return (
                            <div>
                                <b>{name}</b>
                                <div>{message}</div>
                                {city}: <i>{moment}</i> em <i>{community}</i>
                            </div>
                        );
                    }
                )
            }
        </div>
    );
};
